Package org.eclipse.mat.ui.internal.browser

# Class QueryHistory

java.lang.Object
org.eclipse.mat.ui.internal.browser.QueryHistory

public class QueryHistory extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueryHistory()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addQuery(String queryString)`
`static List<String>`
`getHistoryEntries()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryHistory

public QueryHistory()

## Method Details

### addQuery

public static void addQuery(String queryString)

### getHistoryEntries

public static List<String> getHistoryEntries()